How to update the Linux-libre Kernel ebuild for a new version
---

1. Check for new stable version of `gentoo-kernel` on packages.gentoo.org.
2. If so, version bump `libre-kernel` ebuild to match new
   `gentoo-kernel` version.
3. Check the `gentoo-kernel` ebuild for changes to the Gentoo config and
   patches versions.
4. If the Gentoo patchset version has changed:
   1. Update the patchset version in the `libre-kernel` ebuild.
   2. Extract the patchset from the `gentoo-kernel` ebuild and see if
      there are any new patches, or patches removed.
   2. Most patches aside from the `1000`- series that patch the entire
      kernel should work.
   3. Add all new patches that apply to the patchset in the ebuild.
   4. Make sure ebuild applies patches with `ebuild
      libre-kernel-X.Y.Z.ebuild clean prepare`.
4. If the Gentoo config version has changed:
   5. Update the config version in the `libre-kernel` ebuild.
   6. Make sure ebuild applies config changes with `ebuild
      libre-kernel-X.Y.Z.ebuild clean prepare`.
5. Attempt to build the kernel using `ebuild libre-kernel-X.Y.Z.ebuild
   clean merge`. You might need to use `sudo` or `doas` for this.

If the build succeeds, the new ebuild can be pushed to the repository.
